Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2006-2026

Back to Search

SUSE Linux Security Vulnerability: CVE-2006-2026

Severity
7
CVSS
(AV:N/AC:L/Au:S/C:P/I:P/A:P)
Published
04/25/2006
Created
07/25/2018
Added
02/17/2015
Modified
07/04/2017

Description

Double free vulnerability in tif_jpeg.c in libtiff before 3.8.1 allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted TIFF image that triggers errors related to "setfield/getfield methods in cleanup functions."

Solution(s)

  • suse-upgrade-libtiff
  • suse-upgrade-libtiff-32bit
  • suse-upgrade-libtiff-64bit
  • suse-upgrade-libtiff-x86

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;